<script lang="ts">
  import HeaderWithBackdrop from '$lib/components/ui-elements/HeaderWithBackdrop.svelte';
  import type { MediaPostData } from '$lib/components/pages/about/media';
  import MediaPost from '$lib/components/pages/about/MediaPost.svelte';
  import Fa from 'svelte-fa';
  import type { IconDefinition } from '@fortawesome/fontawesome-common-types';

  export let posts: MediaPostData[];
  export let icon: IconDefinition;
  export let invert = false;
  export let cols = 2;
</script>

<section class="m-10">
  <HeaderWithBackdrop class="w-1/3 {invert ? 'ml-auto' : ''}" size="md" secondary wrap>
    <slot name="title" />
  </HeaderWithBackdrop>
  <div class="w-fit font-semibold py-5 {invert ? 'ml-auto' : ''}">
    <slot name="description" />
  </div>
  <div class="flex {invert ? 'flex-row-reverse' : ''} h-full">
    <!-- todo add '2xl:grid-cols-3' once we have more media -->
    <!-- todo make this "scrollable" once we have more media -->
    <div class="w-full flex-grow-1 grid grid-rows-1 grid-cols-1 lg:grid-cols-{cols} gap-5 pt-5 {invert ? 'rtl' : ''}">
      {#each posts as post}
        <MediaPost {post} />
      {/each}
    </div>
    <div class="flex w-1/3 h-full align-middle justify-center my-auto mx-10 max-xl:hidden">
      <Fa size="15x" {icon} />
    </div>
  </div>
</section>
